Unity launches selected application on commit pre-edit texts with ibus

Bug #954901 reported by Koichi Akabe on 2012-03-14
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Nux
Fix Released
Undecided
Koichi Akabe
Unity
Fix Released
Undecided
Unassigned
nux (Ubuntu)
Undecided
Unassigned
unity (Ubuntu)
Undecided
Unassigned

Bug Description

Unity launches an application on commit pre-edit texts with ibus.

Step to reproduce:
1. Open Unity Dath
2. Enable iBus
3. Input texts using iBus (ibus-anthy, ibus-mozc, etc...)
4. Press Enter to commit pre-edit texts.

Actual result:
  launch selected application

Expected result:
  commit pre-edit texts

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: libnux-2.0-0 2.6.0-0ubuntu1 [modified: usr/lib/libnux-2.0.so.0.600.0 usr/lib/libnux-core-2.0.so.0.600.0 usr/lib/libnux-graphics-2.0.so.0.600.0 usr/lib/libnux-image-2.0.so.0.600.0]
Uname: Linux 3.3.0-rc6-amd64 x86_64
ApportVersion: 1.94.1-0ubuntu2
Architecture: amd64
Date: Wed Mar 14 19:23:50 2012
DistUpgraded: Log time: 2012-02-10 23:15:24.498418
DistroCodename: precise
DistroVariant: ubuntu
DkmsStatus: vboxhost, 4.1.8, 3.2.0-18-generic, x86_64: installed
GraphicsCard:
 Intel Corporation Core Processor Integrated Graphics Controller [8086:0046] (rev 12) (prog-if 00 [VGA controller])
   Subsystem: Toshiba America Info Systems Device [1179:ff40]
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release amd64 (20111012)
MachineType: TOSHIBA dynabook CXE/47LE
ProcEnviron:
 TERM=xterm
 LANG=ja_JP.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.3.0-rc6-amd64 root=UUID=d4b742ed-9200-473a-834e-51f48114b292 ro quiet splash vt.handoff=7
SourcePackage: nux
UpgradeStatus: Upgraded to precise on 2012-03-12 (1 days ago)
dmi.bios.date: 01/28/2010
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 1.60
dmi.board.asset.tag: To be filled by O.E.M.
dmi.board.name: JPTR
dmi.board.vendor: TOSHIBA
dmi.board.version: 1.60
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 9
dmi.chassis.vendor: TOSHIBA
dmi.chassis.version: To Be Filled By O.E.M.
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr1.60:bd01/28/2010:svnTOSHIBA:pndynabookCXE/47LE:pvrPACE47LLG10E:rvnTOSHIBA:rnJPTR:rvr1.60:cvnTOSHIBA:ct9:cvrToBeFilledByO.E.M.:
dmi.product.name: dynabook CXE/47LE
dmi.product.version: PACE47LLG10E
dmi.sys.vendor: TOSHIBA
version.compiz: compiz 1:0.9.7.0+bzr3035-0ubuntu1
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.30-1ubuntu1
version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.1-0ubuntu4
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.1-0ubuntu4
version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu6
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.6.99.901+git20120126-0ubuntu2
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu2
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu4
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2

Related branches

Koichi Akabe (vbkaisetsu) wrote :
Changed in nux (Ubuntu):
assignee: nobody → Koichi Akabe (vbkaisetsu)
Changed in nux (Ubuntu):
status: New → In Progress
Changed in nux:
status: New → In Progress
assignee: nobody → Koichi Akabe (vbkaisetsu)
Changed in nux (Ubuntu):
assignee: Koichi Akabe (vbkaisetsu) → nobody
status: In Progress → New
Fumihito YOSHIDA (hito) wrote :

I have a question about this patch, in L.2428, QueueRefresh(false, true) is called in original code.

When (ime_->FilterKeyEvent(event) = TRUE) :

Original Code:
    "(keysym == NUX_VK_ENTER || keysym == NUX_KP_ENTER) " case: activated.emit() + return
    "! (keysym == NUX_VK_ENTER || keysym == NUX_KP_ENTER) " case: QueueRefresh + return

This patch:
    always return. without QueueRefresh.

QueueRefresh Is really skippable?

Koichi Akabe (vbkaisetsu) wrote :

Hi,

QueueRefresh is called on OnUpdatePreeditText (in InputMethodIBus.cpp). This function is called when pre-edit text is changed, so I think it is skippable.

Fumihito YOSHIDA (hito) wrote :

Thanks,

its resonable. But i suggest that code ref-actoring for multiline support, retval is resonable for code changing. Early return has bad smell. I believe that we need adding to some if statement.

Koichi Akabe (vbkaisetsu) wrote :

Thanks,

> retval is resonable for code changing.

Okay, I changed the code to use a variable.
"retval" is difficult to understand meaning, so I changed it to "im_preedit"

> "retval" is difficult to understand meaning,

its sound good, but that is not only preedit, so i suggest "ibus_filtered"
or "ibus_ignored" or im_* names.

Koichi Akabe (vbkaisetsu) wrote :

> but that is not only preedit

That's right. I changed it to im_filtered.

Changed in nux:
status: In Progress → Fix Committed
Didier Roche (didrocks) on 2012-03-22
Changed in unity:
status: New → Fix Committed
milestone: none → 5.8.0
Didier Roche (didrocks) on 2012-03-23
Changed in nux:
status: Fix Committed → Fix Released
Changed in unity:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nux - 2.8.0-0ubuntu1

---------------
nux (2.8.0-0ubuntu1) precise-proposed; urgency=low

  * New upstream release.
    - No glow: remove internal glow/shadow from Alt-tab switcher border and
      <Super> shortcut window (LP: #940493)
    - As soon as you start to drag a dash icon, the icon is drawn for a moment
      at (100, 100) (LP: #947362)
    - Unity launches selected application on commit pre-edit texts with ibus
      (LP: #954901)
 -- Didier Roche <email address hidden> Fri, 23 Mar 2012 14:47:36 +0100

Changed in nux (Ubuntu):
status: New → Fix Released
Changed in unity (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers